#!/usr/bin/env lua
local position = 0
local depth = 0
local aim = 0

for line in io.lines() do
    _, _, action, value = line:find('(%a+)%s+(%d+)')
    value = tonumber(value)
    if action == "forward" then
        position = position + value
        depth = depth + aim * value
    elseif action == "up" then
        aim = aim - value
    elseif action == "down" then
        aim = aim + value
    else
        error("unknown action")
    end
end

print(position * aim)
print(position * depth)
